# List retained workspace commits

Source: https://docs.wabe.sh/api-reference/operations/listcommits/

`GET https://api.wabe.sh/v1/disks/{disk}/commits`

## Authorization

Project API key from the Wabe Dashboard or actor runtime access token for the disk URL supplied by the broker.

## Parameters

- `disk` (path, string, required) — Project disk name, or the disk ID in the actor runtime disk URL.

- `branch` (query, string)

- `commit` (query, string)

- `label` (query, string)

## Responses

### 200

One JSON record per retained commit.

`application/x-ndjson`

Example

```text
{"id":"7bdd0f94-3d70-4367-8d5d-1cdbec118598","branch_id":"8ec08f61-c6b4-4f3a-83e9-d46ae3e5bc30","root_directory_id":"7c8fd44b-019f-4a0c-94bf-627a04d5d07f","revision":1,"base_commit":null,"parent_commit":null,"created_at_ms":1794225600000,"message":"Save notes","git_oid":null,"parent_commits":[]}
```

Schema

```json
{
  "type": "string"
}
```

Stream record schema

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "branch_id": {
      "type": "string",
      "format": "uuid"
    },
    "root_directory_id": {
      "type": "string",
      "format": "uuid"
    },
    "revision": {
      "type": "integer",
      "minimum": 0
    },
    "base_commit": {
      "type": [
        "string",
        "null"
      ],
      "format": "uuid"
    },
    "parent_commit": {
      "type": [
        "string",
        "null"
      ],
      "format": "uuid"
    },
    "created_at_ms": {
      "type": "integer",
      "minimum": 0
    },
    "message": {
      "type": "string"
    },
    "git_oid": {
      "type": [
        "string",
        "null"
      ]
    },
    "parent_commits": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      }
    }
  },
  "required": [
    "id",
    "branch_id",
    "root_directory_id",
    "revision",
    "base_commit",
    "parent_commit",
    "created_at_ms",
    "message",
    "git_oid",
    "parent_commits"
  ],
  "additionalProperties": false
}
```

### 400

Invalid input.

`text/plain`

Schema

```json
{
  "type": "string"
}
```

### 401

Missing, invalid or revoked project API key, or an invalid runtime access token.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 403

Actor runtime token does not authorize this disk or instance generation.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 404

Object was not found.

`text/plain`

Schema

```json
{
  "type": "string"
}
```

### 409

Conflict, nonempty destination or referenced object.

`text/plain`

Schema

```json
{
  "type": "string"
}
```

### 500

Storage, I/O or corruption failure.

`text/plain`

Schema

```json
{
  "type": "string"
}
```

### 503

Disk unavailable.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```
